import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
import { session } from '@/store/modules/session';
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'raw.warehouse.Container-consolidation',
})
export class rowTransfer extends VuexModule {
  //目标容器查询
  SearchCode: any = '';
  CodeDetail: any = '';
  @MutationAction
  async searchBarcode(barcode: any) {
    const res: any = await http.post(url.warehouse.container.getRawStorageSnNew, {
      barcode,
      factoryCode: session.factoryCode,
      loginName: session.loginName,
    });
    const SearchCode = res.code;
    const CodeDetail = res.data;
    if (CodeDetail.cpRef4 != null) {
      CodeDetail.qty = parseFloat(CodeDetail.qty) - parseFloat(CodeDetail.cpRef4);
    }
    return { SearchCode, CodeDetail };
  }
  //源容器查询
  SourceCode: any = '';
  SourceDetail: any = '';
  @MutationAction
  async searchSource(params: any) {
    const res: any = await http.post(url.warehouse.container.getOdsRawStorageSnNew, params);
    const SourceCode = res.code;
    const SourceDetail = res.data;
    if (SourceDetail.cpRef4 != null) {
      SourceDetail.qty = parseFloat(SourceDetail.qty) - parseFloat(SourceDetail.cpRef4);
    }
    return { SourceCode, SourceDetail };
  }
  //提交数据
  submitCode: any = '';
  @MutationAction
  async submit(params: any) {
    const res: any = await http.post(url.warehouse.container.russia, params);
    const submitCode = res.code;
    return { submitCode };
  }
}

export default getModule(rowTransfer);
