import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
import { session } from '@/store/modules/session';
import vm from '@/main';
class OrderInInfo {
  checked?: boolean;
  poNo?: string;
  kw?: string;
  userDefined10?: string;
  orderStatus?: string;
}
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'raw.warehouse.RUSrowTransfer',
})
export class rowTransfer extends VuexModule {
  cboPlaceList = [];
  poNo = '';
  orderInInfo: OrderInInfo = new OrderInInfo();
  orderInInfoList: OrderInInfo[] = [];
  materielList = [];
  code = '';
  ContainerCode: any = '';
  //单号查询数据
  @MutationAction
  async takeYKOrder(order3: any) {
    try {
      const records: any = await http.post(url.warehouse.rowTransfer.list, {
        ...order3,
        orderType: 'YK',
        page: 1,
        rows: 50,
        factoryCode: session.factoryCode,
        loginName: session.loginName,
      });
      const code = records.code;
      const orderInInfoList = records.data.records;
      const materielList = orderInInfoList.map((item: any) => ({
        label: item.productCode,
        value: item.productCode,
        ...item,
      }));
      return { orderInInfoList, materielList, code };
    } catch {
      vm.customToast(vm.$t('message.Warehouse_Tip11') as any);
    }
  }
  //提交移库数据
  @MutationAction
  async onTakeoutConfirm(list: any) {
    const records: any = await http.post(url.warehouse.rowTransfer.russia, list);
    const code = records.code;
    return { code };
  }
  //将数据置空
  @MutationAction
  async empty() {
    const materielList = null;
    return { materielList };
  }
  @MutationAction
  async searchBarcode(params: any) {
    const res: any = await http.post(url.auth.query.barcode, {
      factoryCode: session.factoryCode,
      loginName: session.loginName,
      barcode: params.barcode,
      productCode: params.productCode,
      locCode: params.locCode,
    });
    const ContainerCode = res.data;
    return { ContainerCode };
  }
}

export default getModule(rowTransfer);
