/* eslint-disable @typescript-eslint/no-unused-vars */
export const url = {
  menu: '/wmspda/system/getRFMenus',
  wmspda: {
    system: {
      test: '/wmspda/system/test',
      login: '/wmspda/system/login',
      getMenus: '/wmspda/system/getMenus',
    },
    fg: {
      xxrkScanValidata: '/wmspda/fg/xxrkScanValidata',
      offlineRk: '/wmspda/fg/offlineRk',
      outStorageLoadProduct: '/wmspda/fg/outStorageLoadProduct',
      outStorageLoadDocumentByCarBatchno: '/wmspda/fg/outStorageLoadDocumentByCarBatchno',
      orderType: '/wmspda/fg/orderType',
    },
  },
  sys: {
    log: {
      error: '/wmspda/sys/log/error',
    },
  },
  auth: {
    locations: '/wmspda/auth/locations',
    query: {
      location: '/wmspda/auth/query/location',
      location1: '/wmspda/material/orderin/receiveloc',
      queryAppendDetail: '/wmspda/bl/queryAppendDetail',
      createAppendList: '/wmspda/bl/createAppendList',
      lock: '/wmspda/bl/unlock',
      barcode: '/wmspda/bl/getOdsRawStorageSnNew',
    },
    systime: '/wmspda/auth/systime',
    userInfo: '/wmspda/auth/userinfo',
    pwd: {
      check: '/wmspda/auth/pwd/check',
    },
    factory: {
      sap: '/wmspda/auth/factory/sap',
    },
  },
  appointmentreg: {
    platform: {
      list: '/wmspda/appointmentreg/list/platform',
    },
    kd: {
      query: '/wmspda/appointmentreg/query/kd',
    },
    save: '/wmspda/appointmentreg/save',
    delay: {
      list: '/wmspda/appointmentreg/list/delay',
    },
    leave: {
      carInfo: '/wmspda/appointmentreg/query/leave/carinfo',
      save: '/wmspda/appointmentreg/leave/save',
    },
  },
  material: {
    POorderin: {
      info: '/wmspda/material/orderin/poInfo',
      enter: '/wmspda/material/orderin/enter',
    },
    prdOrder: {
      info: '/wmspda/material/comprehensive/detail/q',
    },
    DNorderin: {
      info: '/wmspda/material/orderin/dnInfo',
      subcDnInfo: '/wmspda/material/orderin/subcDnInfo',
      ImportInfo: '/wmspda/material/orderin/overseasDnInfo',
      dnReturnInfo: '/wmspda/material/orderin/dnReturnInfo',
      queryOrder: '/wmspda/material/poReturn/queryOrder', //dn退货 单号查询
      enter: '/wmspda/material/orderin/enter',
      subcDnEnter: '/wmspda/material/orderin/subcDnEnter',
      ImportEnter: '/wmspda/material/orderin/overseasDnEnter',
      subcDnEnterRussia: '/wmspda/material/orderin/subcDnEnter/russia',
      out: '/wmspda/material/orderin/out',
      russia: '/wmspda/material/orderin/poinfo/overseas/russia',
      enterrussia: '/wmspda/material/orderin/enter/overseas/russia',
    },
    orderout: {
      take: '/wmspda/material/orderout/take',
      detail: '/wmspda/material/orderout/detail',
      unlock: '/wmspda/material/orderout/unlock',
      takeout: '/wmspda/material/orderout/takeout',
    },
    // 原材料盘点
    rawMaterialInventory: {
      // 盘点单号查询检查
      checkRaw: '/wmspda/product/finished/checkRaw/order',
      // 扫描物料号检查
      productCode: '/wmspda/product/finished/checkRaw/productCode',
      // 3.盘点单中不存在该物料但继续盘点，需要新增单号和物料信息
      createInfo: '/wmspda/product/finished/checkRaw/createInfo',
      // 4.物料盘点确定
      productComplete: '/wmspda/product/finished/checkRaw/productComplete',
      // 5.盘点完成
      orderComplete: '/wmspda/product/finished/checkRaw/orderComplete',
    },
    // 委外 commission
    commission: {
      // 出库 goOut
      goOut: {
        // 出库单号查询
        queryOrder: '/wmspda/material/outsourcing/queryOrder',
        // 库位下拉列表
        queryByFactoryCodeAndWorkAreaCode: '/wmspda/fg/queryByFactoryCodeAndWorkAreaCode',
        // 出库提交
        materialComplete: '/wmspda/material/outsourcing/materialComplete',
        // 出库明细查询
        outInfo: '/wmspda/material/outsourcing/outInfo',
      },
      entrant: {
        // 单号查询
        queryOrder: '/wmspda/material/outsourcing/into/queryOrder',
        // 库位下拉列表
        queryByFactoryCodeAndWorkAreaCode: '/wmspda/fg/queryByFactoryCodeAndWorkAreaCode',
        // 提交
        materialComplete: '/wmspda/material/outsourcing/into/materialComplete',
        // 明细查询
        info: '/wmspda/material/outsourcing/into/info',
      },
    },
  },
  SFG: {
    DumpListFH: {
      FHDH: '/wmspda/material/orderin/poEubInfo',
      enter: '/wmspda/material/orderin/enterPoEub',
    },
  },
  //出库
  outbound: {
    stoOutbound: {
      info: '/wmspda/material/orderout/queryStoPlan',
      findProdInfoByDN: '/wmspda/fg/findProdInfoByDN',
      yuetaiType: '/wmspda/fg/queryDocksUnderWareHouse',
      findSpareInfoByDN: '/wmspda/fg/findSpareInfoByDN',
      confirmSpareDeliver: '/wmspda/fg/confirmSpareDeliver',
      Bookkeeping: '/wmspda/fg/scanBarcodeDN',
      close: '/wmspda/material/outsourcing/close',
      // Bookkeeping: '/wmspda/fg/confirmMove',
      checkScan: '/wmspda/fg/getMaterialByCode',
      del: '/wmspda/fg/scanBarcodeDN/del',
      getMaterialByCode: '/wmspda/fg/getMaterialByCode',
      queryOrder: '/wmspda/material/outsourcing/into/queryOrder',
      querySpareListInfoByDnNo: '/wmspda/fg/querySpareListInfoByDnNo',
      subcDnInfo: '/wmspda/material/orderin/subcDnInfo',
      submit: '/wmspda/material/outsourcing/into/materialComplete',
      materialComplete: '/wmspda/material/outsourcing/materialComplete',
      materialCompleteRussia: '/wmspda/material/outsourcing/materialComplete/russia',
      confirmSfgDeliver: '/wmspda/fg/confirmSfgDeliver/russia',
      outsourcingQueryOrder: '/wmspda/material/outsourcing/queryOrder',
      findSfgInfoByDN: '/wmspda/fg/findSfgInfoByDN/russia',
      getDetailByorderNo: '/wmspda/fg/queryListInfoByDnNo',
      scanBarcodeDN: '/wmspda/fg/scanBarcodeDN/del',
      queryAmount: '/wmspda/fg/queryAmountByDn',
      Posting: '/wmspda/fg/dnPosting',
    },
  },
  inbound: {
    finishProductOffline: {
      kuwei: '/wmspda/fg/getMdLocation',
      SearchKuwei: '/wmspda/fg/getMdLocationProd',
      barcode: '/wmspda/product/finished/show-info',
      confirm: '/wmspda/product/finished/batch-offline',
      batchOffline: '/wmspda/product/finished/batch-offline/russia',
      finished: '/wmspda/product/finished/show-info/russia',
    },
    semiFinishProductOfflineRefrigerator: {
      kuwei: '/wmspda/fg/getMdLocation',
      materialCode: '/wmspda/product/semi-finished/get-product',
      confirm3: '/wmspda/product/semi-finished/batch-online-turnover-door', //门体上线
      confirm2: '/wmspda/product/semi-finished/batch-offline', //半成品空调/洗衣机下线
      confirm: '/wmspda/product/semi-finished/batch-offline-turnover-car', //半成品冰箱下线
    },
    semiFinishProductOnlineBox: {
      materialCode: '/wmspda/product/semi-finished/get-origin-material',
    },
  },
  sortscan: {
    query: {
      prdorder: '/wmspda/sortscan/query/prdorder',
      prdorderList: '/wmspda/sortscan/query/prdorder/list',
      aggregateList: '/wmspda/sortscan/query/aggregate/list',
    },
    save: {
      aggregateRussia: 'wmspda/sortscan/save/aggregate/russia',
      aggregate: '/wmspda/sortscan/save/aggregate',
      order: '/wmspda/sortscan/save/order',
      orderRussia: 'wmspda/sortscan/save/order/russia',
      queryWlByMat: '/wmspda/sortscan/queryWlByMat',
      queryWlByMatBL: '/wmspda/sortscan/queryWlByMatBL',
    },
    unlock: {
      list: '/wmspda/sortscan/unlock/list',
      aggregateList: '/wmspda/sortscan/unlock/aggregate/list',
    },
    lock: {
      list: '/wmspda/sortscan/lock/list',
    },
  },
  sumscan: {
    query: {
      orderno: '/wmspda/sumscan/query/orderno',
      ordoutlist: '/wmspda/sumscan/query/ordoutlist',
      hzlist: '/wmspda/sumscan/query/hzlist',
      fllist: '/wmspda/sumscan/query/fllist',
    },
    lock: {
      list: '/wmspda/sumscan/lock/list',
    },
    unlock: {
      list: '/wmspda/sumscan/unlock/list',
    },
    u: {
      order: '/wmspda/sumscan/u/order',
      hzlist: '/wmspda/sumscan/u/hzlist',
      fllist: '/wmspdasumscan/u/fllist',
    },
  },
  warehouse: {
    rowTransfer: {
      list: '/wmspda/fg/listByOrder',
      listByOrder: '/wmspda/fg/listByOrder',
      getOdsRawStorageSnNew: 'wmspda/bl/getOdsRawStorageSnNew',
      commit: '/wmspda/fg/confirmMove',
      confirmMove: 'wmspda/fg/confirmMove/russia',
      russia: '/wmspda/fg/confirmMove/russia',
      getMaterialByCode: '/wmspda/fg/getMaterialByCode',
      getCode: '/wmspda/fg/getCpMoveBatchNo',
      queryGroupLis: '/wmspda/fg/queryGroupListByMoveCode',
      //查询明细
      queryListByMoveCode: '/wmspda/fg/queryListByMoveCode',
      close: '/wmspda/fg/closeHandOrder',
    },
    container: {
      getRawStorageSnNew: '/wmspda/material/getRawStorageSnNew',
      getOdsRawStorageSnNew: '/wmspda/bl/getOdsRawStorageSnNew',
      russia: '/wmspda/material/restructureContainer/russia',
    },
    rowScrap: {
      list: '/wmspda/fg/listByOrder',
    },
    rowCollect: {
      list: '/wmspda/fg/listByOrder',
    },
    MaterialInventory: {
      list: '/wmspda/fg/findMaterialByPddNoWl',
      content: '/wmspda/fg/inventoryUploadSn',
      commit: '/wmspda/fg/completePd',
    },
    LocationInventory: {
      list: '/wmspda/fg/findMaterialByPddNoKw',
      content: '/wmspda/fg/inventoryUploadSn',
      commit: '/wmspda/fg/completePd',
    },
    wholeTransfer: {
      list: '/wmspda/fg/getMdLocationFgAll',
      content: '/wmspda/fg/getMaterialByCode',
      del: '/wmspda/fg/scanBarcodeStock/del',
    },
    wholeLnventory: {
      content: '/wmspda/fg/findMaterialByPddNo',
      commit: '/wmspda/fg/completePd',
      scanCode: '/wmspda/fg/inventoryUploadSn',
    },
  },
  bl: {
    query: '/wmspda/bl/query',
    u: '/wmspda/bl/u',
    uRussia: '/wmspda/bl/uRussia',
    unlock: '/wmspda/bl/unlock',
  },
  bj: {
    query: '/wmspda/material/hei/spareIn/queryOrder',
    submit: '/wmspda/material/hei/spareIn/complete',
    detail: '/wmspda/material/hei/spareIn/queryOrder/detail',
  },
  tl: {
    get: {
      type: '/wmspda/tl/get/type',
    },
    u: '/wmspda/tl/u',
    uRussia: '/wmspda/tl/uRussia',
  },
  virtual: {
    query: {
      orderno: '/wmspda/virtual/query/orderno',
      ordoutlist: '/wmspda/virtual/query/ordoutlist',
      hzlist: '/wmspda/virtual/query/hzlist',
    },
    check: {
      amount: '/wmspda/virtual/check/amount',
    },
    unlock: {
      list: '/wmspda/virtual/unlock/list',
    },
    u: {
      hzlist: '/wmspda/virtual/u/hzlist',
    },
  },
};
